/*
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the "License").  You may not use this file except
 * in compliance with the License.
 *
 * You can obtain a copy of the license at
 * glassfish/bootstrap/legal/CDDLv1.0.txt or
 * https://glassfish.dev.java.net/public/CDDLv1.0.html.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL
 * HEADER in each file and include the License file at
 * glassfish/bootstrap/legal/CDDLv1.0.txt.  If applicable,
 * add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your
 * own identifying information: Portions Copyright [yyyy]
 * [name of copyright owner]
 */
package ejb.interfaces;

import javax.ejb.Remote;

//Entities required
import entity.Customer;

/**
 * @author Marina Vatkina
 */
@Remote public interface Test {

    // Insert Customer and Orders
    public String testInsert();

    // Verify that all are inserted
    public String verifyInsert();

    // Remove Customer and Orders
    public String testDelete(Customer c);

    // Verify that all are removed
    public String verifyDelete();

    // Get a detached instance of a Customer
    public Customer findCustomer(String name);

	public String lala();
}
